package net.greenfieldtech.cloudonixsdk.cloudonixdialer.activities;

import android.os.Bundle;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.R;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.events.UpdateSettingsEvent;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.fragments.SettingsFragment;
import org.greenrobot.eventbus.EventBus;

public class SettingsActivity extends BaseActivity {

  @Override
  protected int getLayoutResource() {
    return R.layout.activity_settings;
  }

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    enableBackButton();
    setTitle("Edit settings");
//        customizeToolbar();

    getFragmentManager().beginTransaction().replace(R.id.content_frame, new SettingsFragment())
        .commit();
  }

  @Override
  public void onBackPressed() {
    super.onBackPressed();
    EventBus.getDefault().postSticky(new UpdateSettingsEvent());
  }
}
